-- U.S.G.N. Login
-- functions.lua

function usgn_login.register(id, usgn, password, change)
    if not change then
        change = false
    end

    if not _PLAYER[usgn] then
        _PLAYER[usgn] = {}
    end

    _PLAYER[usgn].password = password

    if change then
        yatesMessage(id, "Your password has been changed.", "success", usgn_login.setting.message_prefix)
    else
        yatesMessage(id, "Your U.S.G.N. has been registered. Say "..yates.setting.say_prefix.."usgnlogin to login.", "success", usgn_login.setting.message_prefix)
    end

    saveData(_PLAYER, "data_player.lua")
    action("usgn_register", id, usgn, change)
end

function usgn_login.login(id, usgn, password)
    usgn_login.player[id].logged = true
    usgn_login.player[id].usgn = usgn
    _PLAYER[usgn].ip = player(id, "ip")

    yatesMessage(id, "You are now logged in.", "success", usgn_login.setting.message_prefix)

    saveData(_PLAYER, "data_player.lua")
    action("usgn_login", id, usgn)
end

function usgn_login.auto_login(id)
    for k, v in pairs(_PLAYER) do
        if player(id, "ip") == _PLAYER[k].ip then
            usgn_login.login(id, k, _PLAYER[k].password)
            action("usgn_auto_login", id)
            break
        end
    end
end

usgn_login.oldplayer = player
function player(id, param)
    if (param == "usgn") then
        if usgn_login and usgn_login.player[id] then
            return usgn_login.player[id].usgn
        end
    end
    return usgn_login.oldplayer(id, param)
end