--[[
	When the U.S.G.N. service is offline this script provides the ability to login anyway using a saved password
	or autmatic login based on the last IP used to login.
	This plugin also returns the correct U.S.G.N. ID when player(id, "usgn") is called.
]]

yates.plugin["usgn_login"]["title"] = "U.S.G.N. Login"
yates.plugin["usgn_login"]["author"] = "Yates"
yates.plugin["usgn_login"]["usgn"] = "21431"
yates.plugin["usgn_login"]["version"] = "0.9.0"
yates.plugin["usgn_login"]["description"] = "Enables the ability to login to a U.S.G.N. ID when the U.S.G.N. service is offline."

dofileLua(yates.plugin["usgn_login"]["dir"].."config.lua")
dofileLua(yates.plugin["usgn_login"]["dir"].."commands.lua")
dofileLua(yates.plugin["usgn_login"]["dir"].."functions.lua")
dofileLua(yates.plugin["usgn_login"]["dir"].."actions.lua")
